<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('code_transaction');
            $table->string('sender_id');
            $table->string('sender_accountId');
            $table->string('sender_numAccount');
            $table->string('sender_name');
            $table->string('sender_firstname');
            $table->string('sender_email');
            $table->mediumText('sender_address');
            $table->string('sender_phone');
            $table->string('sender_profession');
            $table->string('receiver_id');
            $table->string('receiver_accountId');
            $table->string('receiver_numAccount');
            $table->string('receiver_name');
            $table->string('receiver_firstname');
            $table->string('receiver_email');
            $table->mediumText('receiver_address');
            $table->string('receiver_phone');
            $table->string('receiver_profession');
            $table->float('transaction_amount');
            $table->integer('status');
            $table->integer('user_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions');
    }
}
