<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLoansTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('loans', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->float('loan_amount');
            $table->float('rate');
            $table->float('interest');
            $table->integer('category_id');
            $table->string('category_title');
            $table->integer('account_id');
            $table->string('applicant_numaccount');
            $table->integer('applicant_id');
            $table->string('applicant_name');
            $table->string('applicant_firstname');
            $table->string('applicant_email');
            $table->mediumText('applicant_address');
            $table->string('applicant_phone');
            $table->string('applicant_profession');
            $table->integer('status');
            $table->integer('user_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('loans');
    }
}
