<?php
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'PagesController@index')->name('index');

Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

Route::get('/contact', 'PagesController@contact')->name('contact');

Route::get('/about', 'PagesController@about')->name('about');

Route::get('/faq', 'PagesController@faq')->name('faq');

Route::post('/contact', 'ContactController@store')->name('contact');

Route::get('/checkcustomer', 'AccountController@getCustomer')->name('checkcustomer');

Route::get('/our-servives/checkbalance', 'AccountController@balance')->name('checkbalance');

Route::get('/balance', 'AccountController@getBalance')->name('getBalance');

Route::post('/balance', 'AccountController@postBalance')->name('balance');

Route::get('/checkaccount', 'LoanController@getAccount')->name('checkaccount');

Route::get('customer/{id}/accountcreate', ['as' => 'account.create', 'uses' => 'AccountController@add']);

Route::get('account/{id}/loancreate', ['as' => 'loan.create', 'uses' => 'LoanController@add']);

Route::resource('profils', 'ProfilController');

Route::resource('users', 'UserController');

Route::resource('customers', 'CustomerController');

Route::resource('accounts', 'AccountController');

Route::resource('transactions', 'TransactionController');

Route::resource('loans', 'LoanController');

Route::resource('roles', 'RoleController');

Route::resource('permissions', 'PermissionController');

Route::resource('categories', 'CategoryController');

Route::resource('historiques', 'HistoriqueController');


/* Route::get('/', function () {
    return view('welcome');
});
 */
Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

/* Route::get('/create_role_permission', function () {
    $role = Role::create(['name' => 'Administrer']);
    $permission = Permission::create(['name' => 'Roles Administration & Permission']);
    auth()->user()->assignRole('Administrer');
    auth()->user()->givePermissionTo('Roles Administration & Permission');
}); */

